#!/bin/sh

#######################################################################
# This software is the confidential and proprietary information of
# VP Bank AG. You shall not disclose such confidential information
# and shall use it only in accordance with the term of the license
# agreement you entered into with VP Bank AG.
# 
# Copyright (c) 2003 - 2007 VP Bank AG, www.vpbank.com
#######################################################################

#Purpose: install vp bank e-banking application for current user

#get the default paths from system
USER_HOME=`echo $HOME`                             #user home directory

#define application details
APPLNAME="vp-ebanking"
ICONNAME="res/vp-ebanking48.png"

echo "Install VP Bank e-banking application in home directory ["$USER_HOME"]..."

SRCDIR=""
DESKTOP_ENTRY=""
DESKTOP_FILENAME=""
if [ -d "de" ]; then
    LANG="de"
    DESKTOP_ENTRY="VP Bank e-banking"
    DESKTOP_FILENAME="vp-ebanking.desktop"
fi

if [ -d "en" ]; then
    LANG="en"
    DESKTOP_ENTRY="VP Bank e-banking (English)"
    DESKTOP_FILENAME="vp-ebanking_en.desktop"
fi

SRCDIR=$LANG"/program"
DSTDIR=$USER_HOME"/VPBank/ebanking/"$LANG
APPLDIR=$DSTDIR"/program"

if [ -d "$SRCDIR" ]; then
    if [ -d "$USER_HOME" ]; then
        #copy the extracted files to the user's home directory
        mkdir -p $DSTDIR
        cp -r $SRCDIR $DSTDIR
    else
        echo "Home directory not found [$USER_HOME]"
        exit 1
    fi
else
    echo "Source directory not found [$SRCDIR]"
    exit 1
fi
echo "OK."

#install the desktop icon onto user's desktop

if [ -f $USER_HOME/.config/user-dirs.dirs ]; then
    DESKTOP_PATH=`xdg-user-dir DESKTOP`
 else
    DESKTOP_PATH=$USER_HOME"/Desktop"
fi

echo "Install VP Bank e-banking icon user's desktop [$DESKTOP_PATH]..."

#create desktop entry for vp-ebanking

if [ -d "$DESKTOP_PATH" ]; then
    DESKTOP_FILEPATH=$DESKTOP_PATH"/"$DESKTOP_FILENAME
    EXECPATH=$APPLDIR"/"$APPLNAME
    ICONPATH=$APPLDIR"/"$ICONNAME

    echo "[Desktop Entry]" > $DESKTOP_FILEPATH
    echo "Version=1.0" >> $DESKTOP_FILEPATH
    echo "Encoding=UTF-8" >> $DESKTOP_FILEPATH
    echo "Name=$DESKTOP_ENTRY" >> $DESKTOP_FILEPATH
    echo "Comment=$DESKTOP_ENTRY client application" >> $DESKTOP_FILEPATH
    #echo "Path=$APPLDIR" >> $DESKTOP_FILEPATH
    echo "Exec=$EXECPATH $APPLDIR" >> $DESKTOP_FILEPATH
    echo "Icon=$ICONPATH" >> $DESKTOP_FILEPATH
    echo "Terminal=false" >> $DESKTOP_FILEPATH
    echo "MultipleArgs=false" >> $DESKTOP_FILEPATH
    echo "Type=Application" >> $DESKTOP_FILEPATH
    echo "Categories=Application;" >> $DESKTOP_FILEPATH
    echo "StartupNotify=true" >> $DESKTOP_FILEPATH

    chmod +x $DESKTOP_FILEPATH
else
    echo "Desktop path not found [$DESKTOP_PATH]"
    exit 1
fi

echo "OK."

exit 0
